### Function

# EDataCal CalBackendForeachViewFunc

since: 3.34

#### Declaration

    gboolean
    (* ECalBackendForeachViewFunc) (
      ECalBackend* backend,
      EDataCalView* view,
      gpointer user_data
    )

#### Description [src]

Callback function used by e_cal_backend_foreach_view().

Available since: 3.34

#### Parameters

`backend`

  Type: `ECalBackend`

  An `ECalBackend`.

  The data is owned by the caller of the function.

`view`

  Type: `EDataCalView`

  An `EDataCalView`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data for the function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE`, to continue, `FALSE` to stop further processing.